local function zoom_camera(x_loc,y_loc,zoom,time)
	
	local tile_size = 8
	
	local location = vector2(x_loc*tile_size+160, y_loc*tile_size+80)
	
	coroutine.yield(engine.Scene:ZoomTo(location, zoom, time))
	
end

local function zoom_back(time)
	coroutine.yield(engine.Scene:ZoomBack(time))
end

local x_loc = player.Position.x
local y_loc = player.Position.y
player.ForceCameraUpdate = true

function onBegin(room)

	setFlag("cutscene2", false)
	setFlag("WHT3", true)
	disableMovement ()
	wait(0.4)
	jump(0.6)
	wait(0.6)
	walk(8)
	zoom_camera(-2,0,1.3,1)
	say("StuffoWOC01_04")
	setFlag("WHT3", false)
	zoom_back(1)
	enableMovement()
	
end

function onEnd(room, wasSkipped)
	
	enableMovement ()
	setFlag("WHT1", false)
	setFlag("cutscene2", false)
	
end